Package org.eclipse.emf.cdo.util

# Class LegacyModeNotEnabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.emf.cdo.util.LegacyModeNotEnabledException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class LegacyModeNotEnabledException extends IllegalStateException
Deprecated.
As of 4.2 the legacy mode is always enabled.
An unchecked exception being thrown if legacy objects are to be accessed and the associated `view` is not in `legacy mode`.

Since:
  3.0
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.
No Instantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`LegacyModeNotEnabledException()`
Deprecated.
`LegacyModeNotEnabledException(String message)`
Deprecated.
`LegacyModeNotEnabledException(String message, Throwable cause)`
Deprecated.
`LegacyModeNotEnabledException(Throwable cause)`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LegacyModeNotEnabledException

public LegacyModeNotEnabledException()
Deprecated.

### LegacyModeNotEnabledException

public LegacyModeNotEnabledException(String message)
Deprecated.

### LegacyModeNotEnabledException

public LegacyModeNotEnabledException(Throwable cause)
Deprecated.

### LegacyModeNotEnabledException

public LegacyModeNotEnabledException(String message, Throwable cause)
Deprecated.